Bug 65606 - Paste special sometimes not available (like for web content) -
Summary: Paste special sometimes not available (like for web content) -
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 34599 35243 98542 106142 113220 130429 132672 133938 (view as bug list)
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2013-06-10 11:24 UTC by sogartary
Modified: 2020-07-19 06:43 UTC (History)
19 users (show)

See Also:
Crash report or crash signature:


Attachments
Files that demonstrate the issue. (20.73 KB, application/zip)
2014-03-24 21:01 UTC, Allan Macdonald
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sogartary 2013-06-10 11:24:30 UTC
On some occasions paste special stops working and its option "Edit->Paste Special" is grayed out.
I wanted to copy some text from Adobe Reader. I thought it may be a fault of Adobe Reader. So I tried with some text from Firefox - the same result. I was also unable to copy from Thunderbird. This leads me to conclude that the problem is in Writer. After trying to copy also from Kate and from Writer it started working again and those selections that I could not copy from Reader and Firefox in the first place, were suddenly copyable.
I can not remember the sequence of what I did exactly to return to a working state. I will keep you posted, if I find a reproducible path.
Comment 1 sogartary 2013-06-10 14:20:22 UTC
I have noticed, that when the bug appears and I open a new document, it is possible to print special in it, while in the other is not.
Comment 2 Dominique Boutry 2013-10-15 18:35:46 UTC
The Online Help says "The available [paste] options depend on the contents of the clipboard".

So I suppose that LibO developers are able to give technical information on the situations where "Paste" is available (there is something in the clipboard) and "Paste special" is greyed. This would be of great help.
Comment 3 tommy27 2013-10-24 04:39:21 UTC Comment hidden (obsolete)
Comment 4 Dominique Boutry 2013-11-02 14:24:12 UTC
I never manage to reproduce it.

Lib0 4.1.2.3 on Win7 : difficult to reproduce without a reproducible path.

Possible causes :
- the pasted text is wrong in some way,
- the place (or the document) it is supposed to be pasted in is wrong in some way
Comment 5 Allan Macdonald 2014-03-24 21:01:52 UTC
Created attachment 96320 [details]
Files that demonstrate the issue.

Attached is a writer document and a pdf that reproduces this bug, created with LibO Version: 4.2.1.1 under Windows XP.  Steps to reproduce:

1. Open the .odt document and locate the insertion point (cursor) at the end of the file.

2. Open the pdf in Acrobat Reader (version 10.1.9).

3. Using the text selection tool in Acrobat Reader, highlight the bolded text "Paste Special" and copy it to the clipboard.

4. In the .odt file, try to "paste special" by pressing ctrl-shift-v.  Nothing happens.

5. In the edit menu, "Paste Special" is greyed out.

6. Pressing ctrl-v pastes the formatted text.

The issue is intermittent.  Sometimes, paste special works fine, somtimes it does not and the symptom is unpredictable.  When the problem is occurring, you can close the odt file and open it again with the existing contents still in the clipboard and then the paste-special will work.
Comment 6 sogartary 2014-03-25 06:43:19 UTC
A little off topic. I have always thought graying out an action in a user interface is a bad idea. It is better to have the option available and if it can not be performed, it should give a message why. More than once I have just sat there and wonder why this option is disabled with absolutely no clue from the application. In that case probably this bug would have been easier to fix.
Comment 7 sophie 2014-03-27 16:26:07 UTC
I can reproduce with Version: 4.2.3.2
Build ID: 7c5c769e412afd32da4d946d2cb0c8b0674e95e0 Ubuntu 13.10. Opening the Writer doc again or a new one allows to paste special, but not if the document is already open before the paste special.
Set as New - Sophie
Comment 8 Jean-Baptiste Faure 2014-10-04 20:30:37 UTC
*** Bug 34599 has been marked as a duplicate of this bug. ***
Comment 9 Jean-Baptiste Faure 2014-10-04 20:32:43 UTC
Already known since at least version 3.3.1. Set bug 34599.

Best regards. JBF
Comment 10 Mike A. Harris 2016-07-14 06:05:36 UTC
Same problem occurs in Calc 5.1.4.2 on Win7/x64 trying to copy and paste text from web pages from Firefox, Chrome, or HTML email in Thunderbird.

Paste and paste special vanish from the context menu, Paste-only is all that is available and it has a greyed out "No selection available" in the submenu.  Hitting CTRL-V often does paste something however, sometimes the formatted text, sometimes unformatted, sometimes garbage, sometimes nothing happens.

Switch to Notepad and paste and the text is pasted no problem so it is in the clipboard confirmed.  Switch back to calc -> no ability to paste.

Save document, exit calc, start calc, load document, right click on cell and all of the paste options are back and work again.

Now go back to firefox/chrome/etc. and highlight new text and repeat the process of saving and exiting to be able to paste HTML unformatted.

Reading through bugzilla it seems that people experience these problems on Writer, Calc on 5.x, 4.x and on various versions of Linux, Windows for 3-4 years now.  ;o(
Comment 11 Michal Janoušek 2017-08-27 06:52:25 UTC
I usind LO 
Verze: 5.4.0.3
ID sestavení: 7556cbc6811c9d992f4064ab9287069087d7f62c
Vlákna CPU: 8; OS: Linux 4.10; Vykreslování UI: výchozí; VCL: gtk2; 
Národní prostředí: cs-CZ (cs_CZ.UTF-8); Calc: group

It happens to me the same thing sometimes. The solution is only turn off LO and turn on again LibreOffice. Happen to me from page etc. http://lingorado.com/ipa/ from Firefox, Chrome, Opera ...
Comment 12 Kevin Suo 2017-11-29 03:32:57 UTC
Bug still exists in most recent 6.0  beta1, Fedora 27 x64.
It is hard to find a pattern how to reliably reproduce, but it happens randomly in most cases.

As discussed above, a workaround is to save all your work, close all the libreoffice windows and reopen your work.
Comment 13 Cor Nouws 2017-12-29 14:46:14 UTC
*** Bug 35243 has been marked as a duplicate of this bug. ***
Comment 14 Markus Grob 2018-08-09 20:39:39 UTC
I'm not sure, if I have the same problem or if it's another one, that has "opened" in 6.1.
I can't use CTRL-Shift-V from an external program, but CTRL-SHIFT-ALT-V is working and if I use CTRL-Shift-V inside LO, then it offers me the dialog how to insert the text.

6.1.0.2 with Win 10.
Comment 15 Markus Grob 2018-08-09 20:42:43 UTC
*** Bug 113220 has been marked as a duplicate of this bug. ***
Comment 16 Markus Grob 2018-08-09 20:56:59 UTC
*** Bug 106142 has been marked as a duplicate of this bug. ***
Comment 17 Timur 2019-01-28 12:39:51 UTC
Sometimes when paste is not available, I use workaroud: extension "Paste from Web". Seems like it's not available (anymore?). But version 1.4.2 still works.
Comment 18 Timur 2020-03-08 18:58:31 UTC
*** Bug 98542 has been marked as a duplicate of this bug. ***
Comment 19 Timur 2020-03-26 12:26:28 UTC
*** Bug 130429 has been marked as a duplicate of this bug. ***
Comment 20 Timur 2020-05-04 19:42:42 UTC
*** Bug 132672 has been marked as a duplicate of this bug. ***
Comment 21 Timur 2020-06-11 08:30:01 UTC
Bug 57147, bug 65606, bug 116983 look similar: 
"Paste is sometimes deactivated in toolbar and context menu and Paste Special CTRL+SHIFT+V isn't working, even though text is copied to clipboard and CTRL+V functioning."
Bug is surely in Windows, but some reports here are also for Linux. 
I can easily reproduce in LO 6.3 in Windows, with copying from PDF or web page, so steps are rather reliable, but not so in master 7.1+. 
I was hoping that this was resolved, but other user reproduced again.
Normally we duplicate and merge bug reports but we have 19 reports and 31 CCed users (plus those in duplicated reports), it would be a lot of messages. 
It's of highest importance, even not of severity, to resolve these.
Comment 22 telrod11 2020-06-11 10:05:07 UTC
The frustrating part of this bug is it's not an "every time" bug.   It will work as it should for several "copy - paste special" iterations, then fail for the next.

The curious part of teh bug, is the data is always there for the paste using the keyboard shortcuts Ctrl-shift-alt-V, even when teh LO gui fails.
Comment 23 Timur 2020-06-12 19:50:09 UTC
*** Bug 133938 has been marked as a duplicate of this bug. ***
Comment 24 b. 2020-06-23 20:13:21 UTC Comment hidden (no-value)
Comment 25 Timur 2020-06-23 20:26:30 UTC
I hope this is resolved in 7.1+, which is a long way to go before release. 
User that reproduced again did do in special case. 
We don't know where was change, so called reverse bibisect was inconclusive. 

There's a possibility that change was in the bug that was backported to 6.4.5.
We will know if we all use it and test it, even it's soon available.
Comment 26 b. 2020-06-28 08:26:45 UTC
besides the fact that I find hiding c#24 wrong and frustrating... 

(@Timur: wrote you in private) 

i have tried around (diligently), and with the version below i haven't yet been able to produce / provoke / reproduce any of the copy/paste bugs (which was! possible with prior versions, not everytime but in short time with most distinct descriptions), 

e.g. the steps from c#5 have now always worked correctly in about 20 attempts, 

to confirm the hope for progress, tests by other users would be welcome, 

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 006c65bbd472cb1d7d44e095714e28190b76be0d
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-US
Calc: CL

Adobe Acrobat Reader DC, Continuous Release | Version 2020.009.20067
Comment 27 b. 2020-07-19 06:43:23 UTC
(In reply to b. from comment #26)

... 
> with the version below i haven't yet been able to produce / provoke / reproduce 
> any of the copy/paste bugs 
... 

correction: 

as sad and frustrating as it is ... this reproducer: 

https://bugs.documentfoundation.org/show_bug.cgi?id=116983#c55

from tdf#116983 still fails with below version ... :-(

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 0d45380c99c7200075d01860a2315d0ddb450f1c
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-US
Calc: 

(i know that it isn't exactly this bug, that is 'right-click-paste', this is 'paste-special unavail', but wanted to correct my 'no-repro' comment, and - assume - (sorry @Eike) all those copy/paste nastinesses are just flavours of one central weakness)